using System.Collections.Generic;

public static class QueueExtensions {

	public static void EnqueueEnd<T>(this Queue<T> queue, T obj){
		int count = queue.Count;
		queue.Enqueue(obj);
		for(int i = 0; i < count; ++i) queue.Enqueue(queue.Dequeue());
	}
}
